aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ffcall/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-02-11 11:37:54 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2015-02-11 11:37:54 +0000
commit87250f8296271883cb125b042e3984863f478fa1 (patch)
treeb67d366262f9359758b8d55b4999a19afdac6bdd /testing/ffcall/APKBUILD
parent5bcd5f35212833b043f22e839a37619579d9b2aa (diff)
downloadaports-87250f8296271883cb125b042e3984863f478fa1.tar.gz
aports-87250f8296271883cb125b042e3984863f478fa1.tar.bz2
aports-87250f8296271883cb125b042e3984863f478fa1.tar.xz
testing/ffcall: new aport
Diffstat (limited to 'testing/ffcall/APKBUILD')
-rw-r--r--testing/ffcall/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/ffcall/APKBUILD b/testing/ffcall/APKBUILD
new file mode 100644
index 0000000000..0cc26f5ab5
--- /dev/null
+++ b/testing/ffcall/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=ffcall
+pkgver=1.10
+pkgrel=0
+pkgdesc="C library for implementing foreign function calls in embedded interpreters"
+url="http://www.gnu.org/software/libffcall/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.haible.de/bruno/gnu/ffcall-$pkgver.tar.gz"
+
+_builddir="$srcdir"/ffcall-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/share/man \
+ "$pkgdir"/usr/share/doc/ffcall \
+ "$pkgdir"/usr/share/doc/doc
+ make DESTDIR="$pkgdir" htmldir=/usr/share/doc/ffcall \
+ install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="2db95007e901f3bc2ae7e5a9fe9ebea4 ffcall-1.10.tar.gz"
+sha256sums="6f1b5b8fc84b2c0051637fb1e4e4f8b975f5f98bff8fe053c1992347baa4983d ffcall-1.10.tar.gz"
+sha512sums="dceb620907adae5bbbb52cf2d0b0c829242ad22adceb3186b7a887b7ba49e28b607c30179de6b5a0c46a90bd52f9963ce503ca0c69bc3ecf41e3556df094ddca ffcall-1.10.tar.gz"